shibsp::BasicFilteringContext Class Reference

A trivial FilteringContext implementation. More...

`#include <shibsp/attribute/filtering/BasicFilteringContext.h>`

Inheritance diagram for shibsp::BasicFilteringContext:
[legend]
Collaboration diagram for shibsp::BasicFilteringContext:
[legend]

## Public Member Functions

| BasicFilteringContext (const Application &app, const std::vector< Attribute * > &attributes, const opensaml::saml2md::RoleDescriptor *role=nullptr, const XMLCh *authncontext_class=nullptr, const XMLCh *authncontext_decl=nullptr)
| Constructor.
const Application & | getApplication () const
| Gets the Application doing the filtering.
const XMLCh * | getAuthnContextClassRef () const
| Returns a URI containing an AuthnContextClassRef associated with the subject.
const XMLCh * | getAuthnContextDeclRef () const
| Returns a URI containing an AuthnContextDeclRef associated with the subject.
const XMLCh * | getAttributeRequester () const
| Gets the ID of the requester of the attributes, if known.
const XMLCh * | getAttributeIssuer () const
| Gets the ID of the issuer of the attributes, if known.
const opensaml::saml2md::RoleDescriptor * | getAttributeRequesterMetadata () const
| Gets the SAML metadata for the attribute requesting role, if available.
const opensaml::saml2md::RoleDescriptor * | getAttributeIssuerMetadata () const
| Gets the SAML metadata for the attribute issuing role, if available.
const std::multimap< std::string, Attribute * > & | getAttributes () const
| Returns the set of Attributes being filtered.

## Detailed Description

A trivial FilteringContext implementation.

## Constructor & Destructor Documentation

## BasicFilteringContext()

shibsp::BasicFilteringContext::BasicFilteringContext | ( | const Application & | app,
|  | const std::vector< Attribute * > & | attributes,
|  | const opensaml::saml2md::RoleDescriptor * | role = nullptr,
|  | const XMLCh * | authncontext_class = nullptr,
|  | const XMLCh * | authncontext_decl = nullptr )

Constructor.

Parameters

  app | reference to Application
  attributes | attributes being filtered
  role | metadata role of Attribute issuer, if any
  authncontext_class | method/category of authentication event, if known
  authncontext_decl | specifics of authentication event, if known

## Member Function Documentation

## getApplication()

const Application & shibsp::BasicFilteringContext::getApplication | ( |  | ) | const

virtual

Gets the Application doing the filtering.

Returns
  reference to an Application

Implements shibsp::FilteringContext.

## getAttributeIssuer()

const XMLCh * shibsp::BasicFilteringContext::getAttributeIssuer | ( |  | ) | const

virtual

Gets the ID of the issuer of the attributes, if known.

Returns
  ID of the issuer of the attributes, or nullptr

Implements shibsp::FilteringContext.

## getAttributeIssuerMetadata()

const opensaml::saml2md::RoleDescriptor * shibsp::BasicFilteringContext::getAttributeIssuerMetadata | ( |  | ) | const

virtual

Gets the SAML metadata for the attribute issuing role, if available.

Returns
  SAML metadata for the attribute issuing role, or nullptr

Implements shibsp::FilteringContext.

## getAttributeRequester()

const XMLCh * shibsp::BasicFilteringContext::getAttributeRequester | ( |  | ) | const

virtual

Gets the ID of the requester of the attributes, if known.

Returns
  requester of the attributes, or nullptr

Implements shibsp::FilteringContext.

## getAttributeRequesterMetadata()

const opensaml::saml2md::RoleDescriptor * shibsp::BasicFilteringContext::getAttributeRequesterMetadata | ( |  | ) | const

virtual

Gets the SAML metadata for the attribute requesting role, if available.

Returns
  SAML metadata for the attribute requesting role, or nullptr

Implements shibsp::FilteringContext.

## getAttributes()

const std::multimap< std::string, Attribute * > & shibsp::BasicFilteringContext::getAttributes | ( |  | ) | const

virtual

Returns the set of Attributes being filtered.

No modifications should be performed, access is provided only for use by MatchFunctors based on the presence of Attribute data.

Returns
  an immutable map of Attributes.

Implements shibsp::FilteringContext.

## getAuthnContextClassRef()

const XMLCh * shibsp::BasicFilteringContext::getAuthnContextClassRef | ( |  | ) | const

virtual

Returns a URI containing an AuthnContextClassRef associated with the subject.

SAML 1.x AuthenticationMethods will be returned as class references.

Returns
  a URI identifying the authentication context class

Implements shibsp::FilteringContext.

## getAuthnContextDeclRef()

const XMLCh * shibsp::BasicFilteringContext::getAuthnContextDeclRef | ( |  | ) | const

virtual

Returns a URI containing an AuthnContextDeclRef associated with the subject.

Returns
  a URI identifying the authentication context declaration

Implements shibsp::FilteringContext.

The documentation for this class was generated from the following file:

- shibsp/attribute/filtering/BasicFilteringContext.h